package org.bdware.sc.test;

import com.google.gson.Gson;

import java.lang.reflect.Method;

public class ReflectionTest {
    public static class Test {
        public static void go(String... args) {
            System.out.println(new Gson().toJson(args));
        }
    }

    @org.junit.Test
    public void go() throws Exception {
        Method m = Test.class.getDeclaredMethod("go", String[].class);
        String[] abc = new String[] {"ab", "cd"};
        m.invoke(null, new Object[] {abc});
    }
}
